//
// $Id: Server_Task.cpp 43404 2002-01-30 20:16:57Z okellogg $
//
#include "Server_Task.h"

ACE_RCSID(AMI_Latency, Server_Task, "$Id: Server_Task.cpp 43404 2002-01-30 20:16:57Z okellogg $")

Server_Task::Server_Task (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

int
Server_Task::svc (void)
{
  ACE_DECLARE_NEW_CORBA_ENV;
  ACE_TRY
    {
      this->orb_->run (ACE_ENV_SINGLE_ARG_PARAMETER);
      ACE_TRY_CHECK;
    }
  ACE_CATCHANY {} ACE_ENDTRY;
  return 0;
}
